//program EXAMPLE1

#include <STDIO.H>
#include <STDLIB.H>
#include <CONIO.H>
#include "PESNET3.H"


/*
  Ukazkovy program s vyuzitim PESNET3.CPP a PESNET3.H


  Program inicializuje COM port na hodnoty zadane z klavesnice

  Provede tyto ukony:
    logickou negaci bitu M10 na stanicich 4 a 5
    pricteni hodnoty 10 k promenne D0 na stanici 6
    vycteni a zobrazeni analogoveho vstupu I1 na stanici 5
*/



unsigned char   M10;
unsigned int    D0;




void ErrorService(char *ErrString)
//---------------------------------------------------------------}
{
  char TmpStr[200];

  printf("CHYBA PRI OPERACI: %s\r\n",ErrString);
  GetErrorString(TmpStr);
  printf("%s\r\n",TmpStr);
}






// HLAVNI PROGRAM
//---------------------------------------------------------------

void main()
{
  cprintf("\r\n");

  printf("CISLO COM PORTU : ");
  cscanf("%d",&ComPort);

  COM_Init();                  // inicializace COM portu
                               // z promenne ComPort

  if (!Success) {
    ErrorService("INIT COM PORT");
    return;
  }

  BaudScan();                  // detekce komunikacni rychlosti na siti

                               // a vypis zjisteneho stavu :
  if (!Success) {
    if (COM_Error==ERR_NETEMPTY) printf("ZADNE STANICE V SITI\r\n");
    if (COM_Error==ERR_MOREBAUD) printf("RUZNE BD RYCHLOSTI V SITI\r\n");
    ErrorService("DETEKCE RYCHLOSTI");
    return;
  }
  printf("DETEKOVANA RYCHLOST: %lu Baud\r\n",BaudRate);


  COM_Init();                  // inicializace na nalezenou rychlost

  NetBreak();                  // pred zapocetim akci je treba
                               // zastavit sitovy provoz

  SelectStation(4);            // nastaveni stanice 4


  M10 = ReadSTPBit(74);        // (adresa bitu viz manual)
  if (!Success) ErrorService("READ M10, ST.4");
  else {
    printf(" STANICE 4, BIT M10 :  %d\r\n",M10);
    if (!M10) M10 = 1; else M10 = 0;      // negace bitu
    WriteSTPBit(74, M10);
    if (!Success) ErrorService("WRITE M10, ST.4");
  }

  SelectStation(5);            // nastaveni stanice 5

  M10 = ReadSTPBit(74);        // (adresa bitu viz manual)
  if (!Success) ErrorService("READ M10, ST.5");
  else {
    printf(" STANICE 5, BIT M10 :  %d\r\n",M10);
    if (!M10) M10 = 1; else M10 = 0;      // negace bitu
    WriteSTPBit(74, M10);
    if (!Success) ErrorService("WRITE M10, ST.5");
  }

  SelectStation(6);            // nastaveni stanice 6

  D0 = ReadSTPWord(64);        // (adresa wordu viz manual)
  if (!Success) ErrorService("READ D0, ST.6");
  else {
    printf(" STANICE 6, WORD D0 :  %d\r\n",D0);
    WriteSTPWord(64, (D0 + 10));
    if (!Success) ErrorService("WRITE D0, ST.6");
  }

  SelectStation(5);            // nastaveni stanice 5

  printf("\r\nANALOGOVY VSTUP I1 NA STANICI 5 : %d\r\n",ReadSTPWord(1));
  if (!Success) ErrorService("READ I1, ST.5");

  SendToken();                 // rychle obnoveni provozu na siti

  COM_Close();                 // deaktivace COM portu

  printf("\r\n");
}





