program EXAMPLE1;



(*
  Ukazkovy program k modulu PESNET3.PAS


  Program inicializuje COM port na hodnoty zadane z klavesnice

  Provede tyto ukony:
    logickou negaci bitu M10 na stanicich 4 a 5
    pricteni hodnoty 10 k promenne D0 na stanici 6
    vycteni a zobrazeni analogoveho vstupu I1 na stanici 5

*)



{---------------------------------------------------------------}
uses pesnet3, crt;

var
  M10     : boolean;
  D0      : word;




procedure ErrorService(ErrString:string);
{---------------------------------------------------------------}
begin
  writeln('CHYBA PRI OPERACI: ',ErrString);
  writeln(GetErrorString);
  halt;
end;






{ HLAVNI PROGRAM }
{---------------------------------------------------------------}
begin
  writeln;

  write(' CISLO COM PORTU : ');
  readln(ComPort);

  write(' BAUDOVA RYCHLOST (2400, 9600, 19200 nebo 57600) : ');
  readln(BaudRate);

  COM_Init;                  { inicializace COM portu }
                             { z promennych ComPort a BaudRate }

  if not Success then ErrorService('INIT COM PORT');


  NetBreak;                  { preruseni sitoveho provozu }
                             { POZOR pokud bude linka dele nez 500 ms }
                             { v klidu, muze dojit k aut. restartu }

  SelectStation(4);          { vyber stanice }


  M10 := ReadSTPBit(74);     { adresa bitu viz manual }
  if not Success then ErrorService('READ M10, ST.4');
  WriteSTPBit(74, (not M10));
  if not Success then ErrorService('WRITE M10, ST.4');


  SelectStation(5);

  M10 := ReadSTPBit(74);     { adresa bitu viz manual }
  if not Success then ErrorService('READ M10, ST.5');
  WriteSTPBit(74, (not M10));
  if not Success then ErrorService('WRITE M10, ST.5');


  SelectStation(6);

  D0 := ReadSTPWord(64);     { adresa wordu viz manual }
  if not Success then ErrorService('READ D0, ST.6');
  WriteSTPWord(64, (D0 + 10));
  if not Success then ErrorService('WRITE D0, ST.6');


  SelectStation(5);

  writeln;
  writeln('ANALOGOVY VSTUP I1 NA STANICI 5 : ',ReadSTPWord(1));
  if not Success then ErrorService('READ I1, ST.5');

  SendToken;                 { rychle obnoveni provozu na siti }

  COM_Close;                 { deaktivace COM portu }
end.


