program EXAMPLE3;



(*
  Ukazkovy program k modulu PESNET3.PAS


  Program inicializuje COM port, najde si sam baudovou rychlost
  a vypise adresy vsech stanic, aktivnich v siti

  --------------------------------------------------------------
*)




uses pesnet3, crt;

var
  i     : word;





procedure ErrorService(ErrString:string);
{---------------------------------------------------------------}
begin
  writeln('CHYBA PRI OPERACI: ',ErrString);
  writeln(GetErrorString);
  halt;
end;


procedure StackRD(StPos:word);
var
  NumW      : word;
  StackBuf  : array[0..100] of word;
  i         : word;
begin
  NumW:=ReadStack(StackBuf, StPos, 5);
  write('STACK RD POS=',StPos,'   GET=',NumW);
  if (NumW>0) then for i:=0 to (NumW-1) do begin
    gotoxy(45+(i*6), wherey);
    write(StackBuf[i]);
  end;
  writeln;
end;


procedure StackWR(StPos:word; Dat:word);
var
  NumW      : word;
  StackBuf  : array[0..100] of word;
  i         : word;
begin
  for i:=0 to 6 do StackBuf[i]:=Dat+i;
  NumW:=WriteStack(StackBuf, StPos, 5);
  writeln('STACK WR POS=',StPos,'   WR=',NumW);
end;



{ HLAVNI PROGRAM }
{---------------------------------------------------------------}
begin
  writeln;

  write('CISLO COM PORTU : ');
  readln(ComPort);

  COM_Init;                  { inicializace COM portu }
                             { z promenne ComPort }

  if not Success then ErrorService('INIT COM PORT');

  BaudScan;                  { zjisteni baudovych rychlosti na siti }


  if not Success then begin
    if COM_Error=ERR_NETEMPTY then writeln('ZADNE STANICE V SITI');
    if COM_Error=ERR_MOREBAUD then writeln('RUZNE BD RYCHLOSTI V SITI');
    ErrorService('DETEKCE RYCHLOSTI');
  end;
  writeln('DETEKOVANA RYCHLOST: ',BaudRate,' Baud');

  writeln('PROBIHA DETEKCE STANIC');
  NetScan;                   { detekce aktivnich stanic na siti }
                             { a zaroven preuseni sitoveho provozu }

  if not Success then ErrorService('DETEKCE STANIC');

  SendToken;                 { rychle obnoveni provozu na siti }



                             { a nakonec vypis vysledku }

  writeln('POCET STANIC V SITI: ',StationNum);

  if StationNum>0 then for i:=0 to (StationNum-1) do
  writeln('    NALEZENA ADRESA: ',StationList[i]);

  writeln;

  writeln('vycteni a prepsani zasobniku na 1. nalezene stanici ....');

  SelectStation(StationList[0]);
  NetBreak;

  StackRD(100);
  StackRD(1020);
  StackRD(2100);
  StackRD(9212);
  StackRD(11770);
  StackRD(11773);
  StackRD(12000);
  StackWR(9212,15000);
  StackWR(100,15000);
  StackRD(9212);
  StackRD(100);


  SendToken;
  COM_Close;                 { deaktivace COM portu }
  writeln;
end.


